## macfanctld 0.6+repack1

=== Makefile ===
#
# Makefile for macfanctl
#
# Mikael Strom, August 2010
#

CC = gcc
CFLAGS = -Wall
SBIN_DIR = $(DESTDIR)/usr/sbin
ETC_DIR = $(DESTDIR)/etc

all: macfanctld

macfanctld: macfanctl.c control.c config.c control.h config.h
	$(CC) $(CFLAGS) macfanctl.c control.c config.c -o macfanctld 

clean:
	dh_testdir
	dh_clean
	rm -rf *.o macfanctld

install:
	dh_installdirs
	chmod +x macfanctld
	cp macfanctld $(SBIN_DIR)
	cp macfanctl.conf $(ETC_DIR)

uninstall:
	rm $(SBIN_DIR)/macfanctld $(INITD_DIR)/macfanctl $(ETC_DIR)/macfanctl.conf

## macfanctld 0.5~mactel1~maverick

=== debian/changelog ===
macfanctld (0.5~mactel1~maverick) maverick; urgency=low

  * Corrected comment in macfanctl.conf

 -- Mikael Strom <mikael@sesamiq.com>  Wed, 17 Nov 2010 18:31:36 +0800

macfanctld (0.4~mactel1~karmic) karmic; urgency=low

  * Patched using Henrik Rydbergs "Off by one" patch
  * Added 'exclude' option to config file. Enables specific sensors to be excluded.

 -- Mikael Strom <mikael@sesamiq.com>  Sat, 06 Nov 2010 17:58:59 +0800

macfanctld (0.3~mactel1~maverick) maverick; urgency=low

  * Fixed empty line bug in log. Produced an empty line ecery 5 seconds.

 -- Mikael Strom <mikael@sesamiq.com>  Thu, 02 Sep 2010 03:22:15 +0800

macfanctld (0.2~mactel1~karmic) karmic; urgency=low

  * Moved to mactel repo.

 -- Mikael Strom <mikael@sesamiq.com>  Wed, 01 Sep 2010 22:24:26 +0800

macfanctld (0.2) lucid; urgency=low

  * Fixed bug where only fan 1 got updated.
  * Changed to use sensors TC0P/TG0P instead of TC0D/TC0D that was to noisy.
  * Removed the modes. Now uses TC0P/TG0P and average concurrently.
  * Replaced README with a new man page, macfanctld.1

 -- Mikael Strom <mikael@sesamiq.com>  Sun, 29 Aug 2010 04:09:51 +0800

macfanctld (0.1) lucid; urgency=low

  * Updated to GPL 3 in source files.
  * Updated README, and added to the deb-package.
  * Clean up the code, monir bugfixes.
  * Added code to handle only 1 fan.
  * Removed command line switches -a -d and -s. Moved this settings
    to the config file.
  * Fixed so that HUP signal re-reads config properly.
  
 -- Mikael Strom <mikael@sesamiq.com>  Sat, 28 Aug 2010 00:43:55 +0800

macfanctld (0.0) lucid; urgency=low

  * Initial release

 -- Mikael Strom <mikael@sesamiq.com>  Fri, 27 Aug 2010 00:24:27 +0800

=== debian/control ===
Source: macfanctld
Section: misc
Priority: optional
Maintainer: Mikael Strom <mikael@sesamiq.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: 

Package: macfanctld
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  Fan control daemon for MacBook
 This daemon is a customizable fan control to keep the working temperature 
 within resonable limits. Se manpage macfanctld(1) for more information.

## macfanctld 0.6+repack1

=== debian/changelog ===
macfanctld (0.6+repack1-2) unstable; urgency=medium

  * Team upload.
  * Change team mail address. (Closes: #899605)
  * Change Vcs-Git and Vcs-Browser to salsa.
  * Bump Standards-Version to 4.1.4.
  * Fix insecure copyright format URI.
  * Fix missing license paragraph in copyright.
    Move paragraph of GPL-3+ to debian/* part.
  * Change Priority to optional.
  * Add lsb-base to Depends.
    Fix lintian error: init.d-script-needs-depends-on-lsb-base. 

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 May 2018 12:32:27 +0900

macfanctld (0.6+repack1-1) unstable; urgency=low

  * Initial Debian upload (Closes: 706607)
  * Repack Ubuntu source into non-native package. Minor updates in
    packaging.
  * Check against policy 3.9.4.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 03 Sep 2013 16:21:09 +0200

macfanctld (0.6~mactel1ubuntu3~raring1) raring; urgency=low

  * Update for Raring.

 -- Mikael Strom <mikael@sesamiq.com>  Fri, 26 Apr 2013 21:58:40 +0800

macfanctld (0.6~mactel1ubuntu3~quantal1) quantal; urgency=low

  * Updated for Quantal.

 -- Mikael Strom <mikael@sesamiq.com>  Mon, 22 Oct 2012 23:49:02 +0800

macfanctld (0.6~mactel1ubuntu3~quantal) precise; urgency=low

  * Updated for Quantal.

 -- Mikael Strom <mikael@sesamiq.com>  Sun, 22 Oct 2012 14:54:02 +0800

macfanctld (0.6~mactel1ubuntu3~precise) precise; urgency=low

  * Updated for Precise.

 -- Mikael Strom <mikael@sesamiq.com>  Sun, 22 Apr 2012 12:12:02 +0800

macfanctld (0.6~mactel1ubuntu2) oneiric; urgency=low

  * Decreased CPU usage by caching sensor file names and replacing 
    fopen()/fclose() with open()/close().

 -- Mikael Strom <mikael@sesamiq.com>  Sat, 21 Apr 2012 17:16:42 +0800

macfanctld (0.6~mactel1ubuntu1) oneiric; urgency=low

  * updated for Oneiric

 -- Mikael Strom <mikael@sesamiq.com>  Sat, 21 Apr 2012 14:45:41 +0800

macfanctld (0.6~mactel1) natty; urgency=low

  * Use PnP rather than hardcoding resources and devices: 
    locate applesmc via /sys/class/hwmon and check that device/name 
    is "applesmc" as suggested by Julien BLACHE. 

 -- Mikael Strom <mikael@sesamiq.com>  Wed, 19 Aug 2011 01:31:36 +0800

macfanctld (0.5~mactel1) natty; urgency=low

  * Corrected comment in macfanctl.conf

 -- Mikael Strom <mikael@sesamiq.com>  Wed, 18 Aug 2011 01:31:36 +0800

=== debian/control ===
Source: macfanctld
Section: utils
Priority: optional
Maintainer: Debian Mactel Team <team+pkg-mactel-devel@tracker.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.4
Homepage: https://github.com/MikaelStrom/macfanctld
Vcs-Git: https://salsa.debian.org/mactel-team/macfanctld.git
Vcs-Browser: https://salsa.debian.org/mactel-team/macfanctld

Package: macfanctld
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description:  fan control daemon for Apple MacBook / MacBook Pro computers
 This daemon reads the temperature sensors in an Apple Macbook (or
 Macbook Pro) computer and throttles the fans accordingly to keep the
 temperature within configurable limits.
